Generic 3D Object Descriptions

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Macros | Functions
Generic 3D Object Descriptions
Evas » Evas 3D Extensions

Evas 3D object is a generic type of all evas 3D objects like scene, node, camera, light, mesh, texture and material. More...

## Macros
#define | EVAS_CANVAS3D_OBJECT_EVENT_CLICKED (&(_EVAS_CANVAS3D_OBJECT_EVENT_CLICKED))
| Clicked Event.
#define | EVAS_CANVAS3D_OBJECT_EVENT_COLLISION (&(_EVAS_CANVAS3D_OBJECT_EVENT_COLLISION))
| Collision Event.

## Functions
EOAPI void | evas_canvas3d_object_update_notify (void)
| Pure virtual update_notify function. More...
EOAPI void | evas_canvas3d_object_change_notify (Evas_Canvas3D_State state, Evas_Canvas3D_Object *ref)
| Pure virtual change_notify function. More...
EOAPI void | evas_canvas3d_object_callback_register (const char *event, const void *data)
| Pure virtual register samrt callback function. More...
EOAPI void | evas_canvas3d_object_callback_unregister (const char *event)
| Pure virtual unregister smart callback function. More...
EOAPI void | evas_canvas3d_object_change (Evas_Canvas3D_State state, Evas_Canvas3D_Object *ref)
| Notify the object regarding its state change. More...
EOAPI Evas_Canvas3D_Object_Type | evas_canvas3d_object_type_get (void)
| Returns the type of the object.
EOAPI void | evas_canvas3d_object_type_set (Evas_Canvas3D_Object_Type type)
| Returns the type of the object. More...
EOAPI Eina_Bool | evas_canvas3d_object_dirty_get (Evas_Canvas3D_State state)
| Returns the status of a particular state of the object. More...
EOAPI void | evas_canvas3d_object_update (void)
| Update request for the object.

## Detailed Description

Evas 3D object is a generic type of all evas 3D objects like scene, node, camera, light, mesh, texture and material.

Evas 3D object is basically reference counted. Any successful function call on an object which make a reference to an another object will increase the reference count. When the reference count gets to 0, the object will be actually deleted.

Any modifications are automatically propagated to other objects referencing the modified objects. As a result, if the scene object is set to modified state, all image objects having the scene as a rendering source are marked as dirty, so that rendering will be updated at next frame. But all these things are done internally, so feel free to forget about calling some kind of update functions.

## Function Documentation

EOAPI void evas_canvas3d_object_update_notify | ( | void |  | ) |

Pure virtual update_notify function.

Update request for the object.

EOAPI void evas_canvas3d_object_change_notify | ( | Evas_Canvas3D_State | state,
|  | Evas_Canvas3D_Object * | ref
| ) |  |

Pure virtual change_notify function.

Update request for the object.

Parameters

  [in] | ref | The Object that caused the change.

EOAPI void evas_canvas3d_object_callback_register | ( | const char * | event,
|  | const void * | data
| ) |  |

Pure virtual register samrt callback function.

Parameters

  [in] | data | User data.

EOAPI void evas_canvas3d_object_callback_unregister | ( | const char * | event | ) |

Pure virtual unregister smart callback function.

Parameters

  [in] | event | Event type.

EOAPI void evas_canvas3d_object_change | ( | Evas_Canvas3D_State | state,
|  | Evas_Canvas3D_Object * | ref
| ) |  |

Notify the object regarding its state change.

Parameters

  [in] | ref | The Object that caused the change.

EOAPI void evas_canvas3d_object_type_set | ( | Evas_Canvas3D_Object_Type | type | ) |

Returns the type of the object.

Parameters

  [in] | type |

EOAPI Eina_Bool evas_canvas3d_object_dirty_get | ( | Evas_Canvas3D_State | state | ) |

Returns the status of a particular state of the object.

Parameters

  [in] | state | State whose status is being asked.